## com.arsdigita.cms.docmgr.ui.tree
Class DocFolderIterator

    java.lang.Object
      com.arsdigita.cms.docmgr.ui.tree.DocFolderIterator

All Implemented Interfaces:
  Iterator

public class DocFolderIterator
extends Object
implements Iterator

Constructor Summary
`DocFolderIterator(com.arsdigita.cms.Folder.ItemCollection collection)`

Method Summary
`boolean` `hasNext()`
`Object` `next()`
`void` `remove()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DocFolderIterator

    public DocFolderIterator(com.arsdigita.cms.Folder.ItemCollection collection)

Method Detail

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `Iterator`

### next

    public Object next()

  Specified by:
    `next` in interface `Iterator`

### remove

    public void remove()

  Specified by:
    `remove` in interface `Iterator`

Copyright (c) 2006 Red Hat, Inc. Corporation. All Rights Reserved. Generated at June 1 2006:1113 UTC